Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel
Interface ScheduleDocument

All Superinterfaces:
  org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Subinterfaces:
  CronScheduleDocument, SimpleScheduleDocument

All Known Implementing Classes:
  CronScheduleDocumentImpl, ScheduleDocumentImpl, SimpleScheduleDocumentImpl

    public interface ScheduleDocument

extends org.apache.xmlbeans.XmlObject

A document containing one schedule(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd) element. This is a complex type.

Nested Class Summary
`static class` | `ScheduleDocument.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`Schedule` | `addNewSchedule()` Appends and returns a new empty "schedule" element
`Schedule` | `getSchedule()` Gets the "schedule" element
`void` | `setSchedule(Schedule schedule)` Sets the "schedule" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getSchedule

    Schedule getSchedule()

  Gets the "schedule" element

### setSchedule

    void setSchedule(Schedule schedule)

  Sets the "schedule" element

### addNewSchedule

    Schedule addNewSchedule()

  Appends and returns a new empty "schedule" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD